### File

`src/testing/router-link-directive-stub.ts`

### Metadata

Selector | `[appRouterLink]`

### Index

###### Properties
navigatedTo
###### Methods
onClick
###### Inputs
routerLink
###### HostListeners
click

### Inputs

routerLink
Type : `any`
Defined in src/testing/router-link-directive-stub.ts:9

### HostListeners

click
Defined in src/testing/router-link-directive-stub.ts:13

### Methods

onClick
`onClick()`
Decorators : `@HostListener('click')`
Defined in src/testing/router-link-directive-stub.ts:13
Returns : `void`

### Properties

navigatedTo
Type : `any`
Default value : `null`
Defined in src/testing/router-link-directive-stub.ts:10

    import { Directive, HostListener, Input } from '@angular/core';

    @Directive({
      selector: '[appRouterLink]',
    })
    // tslint:disable-next-line:directive-class-suffix
    export class RouterLinkDirectiveStub {
      // tslint:disable-next-line:no-input-rename
      @Input('routerLink') linkParams: any;
      navigatedTo: any = null;

      @HostListener('click')
      onClick(): void {
        this.navigatedTo = this.linkParams;
      }
    }

# result-matching ""

# No results matching ""